// Copyright (c) FIRST and other WPILib contributors.
// Open Source Software; you can modify and/or share it under the terms of
// the WPILib BSD license file in the root directory of this project.

package frc.robot;

import edu.wpi.first.wpilibj2.command.Command;
import edu.wpi.first.wpilibj2.command.Commands;
import edu.wpi.first.wpilibj2.command.button.CommandXboxController;
import frc.robot.command.GrimperHaut;
import frc.robot.command.GrimpeurBas;
import frc.robot.subsystems.Grimpeur;

public class RobotContainer {
  CommandXboxController manette1 = new CommandXboxController(0);
  CommandXboxController manette2 = new CommandXboxController(1);
  Grimpeur grimpeur = new Grimpeur();
  public RobotContainer() {
    configureBindings();
  }

  private void configureBindings() {
    manette1.leftBumper().whileTrue(new GrimperHaut(grimpeur));
    manette1.rightBumper().whileTrue(new GrimpeurBas(grimpeur));
  }

  public Command getAutonomousCommand() {
    return Commands.print("No autonomous command configured");
  }
}
